# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We need to patch the test suite if we have an old version of Test::More
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Version-Requirements
Version:	0.101023
Release:	5.%{__distinit}%{__distvers}
Summary:	Set of version requirements for a CPAN dist (DEPRECATED)
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Version-Requirements/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Version-Requirements-%{version}.tar.gz
Patch1:		Version-Requirements-0.101020-old-Test::More.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(version) >= 0.77
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(CPAN::Meta::Prereqs)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Version::Requirements is now DEPRECATED.

Use CPAN::Meta::Requirements, which is a drop-in replacement.

A Version::Requirements object models a set of version constraints like
those specified in the META.yml or META.json files in CPAN distributions.
It can be built up by adding more and more constraints, and it will reduce
them to the simplest representation.

%prep
%setup -q -n Version-Requirements-%{version}

# We need to patch the test suite if we have an old version of Test::More
%if %{old_test_more}
%patch1 -p1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

# Run the test suite again with PERL_CORE set to get rid of the deprecation warnings
make test PERL_CORE=1

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Version/
%{_mandir}/man3/Version::Requirements.3*

%changelog
* Sun Oct 16 2016 Paul Howarth <paul@city-fan.org> - 0.101023-5
- BR: perl-generators where available
- Simpify find command using -delete

* Tue Jun 16 2015 Paul Howarth <paul@city-fan.org> - 0.101023-2
- Perl 5.22 rebuild

* Thu Mar 26 2015 Paul Howarth <paul@city-fan.org> - 0.101023-1
- Update to 0.101023
  - Document in the metadata that this module is deprecated
- Classify buildreqs by usage
- Run the test suite again with PERL_CORE set to get rid of the deprecation
  warnings
- Drop patch for building with ExtUtils::MakeMaker < 6.30, no longer needed

* Thu Aug 28 2014 Paul Howarth <paul@city-fan.org> - 0.101022-248
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Wed Aug 29 2012 Paul Howarth <paul@city-fan.org> - 0.101022-240
- Increase release to replace perl sub-package (#848961)

* Sun Jul  8 2012 Paul Howarth <paul@city-fan.org> - 0.101022-3
- Drop redundant buildreqs perl(Test::Pod::Coverage) and
  perl(Pod::Coverage::TrustPod)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Fri Feb  3 2012 Paul Howarth <paul@city-fan.org> - 0.101022-1
- Update to 0.101022
  - Version::Requirements is still DEPRECATED
  - Deprecation is only warned-about if not doing core perl tests, to quieten
    them down for the sake of porters' sanity
- BR: perl(Scalar::Util)

* Tue Jan  3 2012 Paul Howarth <paul@city-fan.org> - 0.101021-1
- Update to 0.101021
  - Version::Requirements is now DEPRECATED
  - Use CPAN::Meta::Requirements, which is a drop-in replacement
- BR: perl(Carp)
- Update patch for building with ancient ExtUtils::MakeMaker versions

* Fri Jul  8 2011 Paul Howarth <paul@city-fan.org> - 0.101020-5
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Feb  7 2011 Paul Howarth <paul@city-fan.org> - 0.101020-4
- Import from Fedora

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.101020-3
- Rebuild to fix problems with vendorarch/lib (#661697)

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.101020-2
- Mass rebuild with perl-5.12.0

* Wed Apr 14 2010 Iain Arnell <iarnell@gmail.com> - 0.101020-1
- Update to latest upstream version

* Fri Apr 02 2010 Iain Arnell <iarnell@gmail.com> - 0.100660-1
- Specfile autogenerated by cpanspec 1.78
- Use perl_default_filter and DESTDIR
